SDL_WaitConditionTimeout(3)

NAME
SDL_WaitConditionTimeout - Wait until a condition variable is signaled or a certain time has passed.

HEADER FILE
Defined in SDL3/SDL_mutex.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_WaitConditionTimeout(SDL_Condition *cond,
                    SDL_Mutex *mutex, Sint32 timeoutMS);

DESCRIPTION
This function unlocks the specified mutex and waits for another thread to call SDL_SignalCondition () or

SDL_BroadcastCondition () on the condition variable cond , or for the specified time to elapse. Once the condition variable is signaled or the time elapsed, the mutex is re-locked and the function returns.

The mutex must be locked before calling this function. Locking the mutex recursively (more than once) is not supported and leads to undefined behavior.

FUNCTION PARAMETERS

cond
    the condition variable to wait on.

mutex
    the mutex used to coordinate thread access.

timeoutMS
    the maximum time to wait, in milliseconds, or -1 to wait indefinitely.

RETURN VALUE
Returns true if the condition variable is signaled, false if the condition is not signaled in the allotted time.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_BroadcastCondition(3), •(3), SDL_SignalCondition(3), •(3), SDL_WaitCondition(3)